<?php
// -- Conan-Exiles.com Votes-API 1.1.0 -- //
function votesCheck($server_id, $platform_id){
	global $plugin_votes_key;

	$server_key = $plugin_votes_key[0];
	if (isset($plugin_votes_key[$server_id]))
		$server_key = $plugin_votes_key[$server_id];

	$url = 'https://conan-exiles.com/api/?object=votes&element=claim&key='.$server_key.'&steamid='.$platform_id;
	$handle = fopen($url, 'r');
	if ($handle) {
		$result = fgets($handle);
		fclose($handle);
		switch ($result){
			case '0':
				// no vote
				return 0;
				break;
			case '1':
				// unclaimed vote
				$url = 'https://conan-exiles.com/api/?action=post&object=votes&element=claim&key='.$server_key.'&steamid='.$platform_id;
				$handle = fopen($url, 'r');
				if ($handle) {
					$result = fgets($handle);
					fclose($handle);
					switch ($result){
						case '0':
							// not claimed
							return 2;
							break;
						case '1':
							// claimed
							return 1;
							break;
						default:
							// should not happen :)
							return -1;
					}
				}
				break;
			case '2':
				// already claimed vote
				return 2;
				break;
			default:
				// should not happen :)
				return -1;
		}
	}
}
?>