<?php
// -- Continue Fix 1.1.0 -- //
function continueExport($parameter, $platform_id){
	$filename = 'continue_'.$platform_id.'.json';
	$handle = fopen($filename, 'w');
	fwrite($handle, $parameter);
	fclose($handle);
}

function continueCheck($server_id, $platform_id){
	global $cluster_ini;

	$filename = 'continue_'.$platform_id.'.json';
	if (file_exists($filename)) {
		// in case of file exists check if valid server provided
		$handle = fopen($filename, 'r');
		$parameter = fread($handle, filesize($filename));
		fclose($handle);
		if (!isset($cluster_ini[$parameter]))
			return;

		if ($server_id == $parameter)
			return;

		// fetch config details
		$config = $cluster_ini[$server_id];
		$config2 = $cluster_ini[$parameter];

		// try to connect to rcon
		$rcon = new rcon($config['pass'], $config['host'], $config['port']);
		if ($rcon->connected){
			$rcon->send('ast exec "'.$platform_id.'" "open '.resolveOpen($config2['open']).'"');
			unlink($filename);
			returnError(400, 'no import - moved to continue server');
		}
	}
}
?>