<?php
// -- Primary Server 1.0.0 -- //
function primaryCheck($server_id, $platform_id){
	global $cluster_ini, $plugin_primary_serverId;

	$filename1 = 'backup_'.$platform_id.'.json';
	$filename2 = 'export_'.$platform_id.'.json';
	if (!file_exists($filename1) && !file_exists($filename2) && $server_id != $plugin_primary_serverId) {
		$config = $cluster_ini[$server_id];
		$config2 = $cluster_ini[$plugin_primary_serverId];
		$rcon = new rcon($config['pass'], $config['host'], $config['port']);
		if ($rcon->connected)
			$rcon->send('ast exec "'.$platform_id.'" "open '.resolveOpen($config2['open']).'"');
		returnError(400, 'no import - moved to primary server');
	}
}
?>